# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "image_optim"
  s.version = "0.21.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ivan Kuchin"]
  s.date = "2015-09-22"
  s.executables = ["image_optim"]
  s.files = [".gitignore", ".rubocop.yml", ".travis.yml", "CHANGELOG.markdown", "CONTRIBUTING.markdown", "Gemfile", "LICENSE.txt", "README.markdown", "Vagrantfile", "bin/image_optim", "image_optim.gemspec", "lib/image_optim.rb", "lib/image_optim/bin_resolver.rb", "lib/image_optim/bin_resolver/bin.rb", "lib/image_optim/bin_resolver/comparable_condition.rb", "lib/image_optim/bin_resolver/error.rb", "lib/image_optim/bin_resolver/simple_version.rb", "lib/image_optim/cmd.rb", "lib/image_optim/config.rb", "lib/image_optim/configuration_error.rb", "lib/image_optim/handler.rb", "lib/image_optim/hash_helpers.rb", "lib/image_optim/image_meta.rb", "lib/image_optim/image_path.rb", "lib/image_optim/non_negative_integer_range.rb", "lib/image_optim/option_definition.rb", "lib/image_optim/option_helpers.rb", "lib/image_optim/railtie.rb", "lib/image_optim/runner.rb", "lib/image_optim/runner/glob_helpers.rb", "lib/image_optim/runner/option_parser.rb", "lib/image_optim/space.rb", "lib/image_optim/true_false_nil.rb", "lib/image_optim/worker.rb", "lib/image_optim/worker/advpng.rb", "lib/image_optim/worker/class_methods.rb", "lib/image_optim/worker/gifsicle.rb", "lib/image_optim/worker/jhead.rb", "lib/image_optim/worker/jpegoptim.rb", "lib/image_optim/worker/jpegrecompress.rb", "lib/image_optim/worker/jpegtran.rb", "lib/image_optim/worker/optipng.rb", "lib/image_optim/worker/pngcrush.rb", "lib/image_optim/worker/pngout.rb", "lib/image_optim/worker/pngquant.rb", "lib/image_optim/worker/svgo.rb", "script/template/jquery-2.1.3.min.js", "script/template/sortable-0.6.0.min.js", "script/template/worker_analysis.erb", "script/update_worker_options_in_readme", "script/worker_analysis", "spec/image_optim/bin_resolver/comparable_condition_spec.rb", "spec/image_optim/bin_resolver/simple_version_spec.rb", "spec/image_optim/bin_resolver_spec.rb", "spec/image_optim/cmd_spec.rb", "spec/image_optim/config_spec.rb", "spec/image_optim/handler_spec.rb", "spec/image_optim/hash_helpers_spec.rb", "spec/image_optim/image_path_spec.rb", "spec/image_optim/railtie_spec.rb", "spec/image_optim/runner/glob_helpers_spec.rb", "spec/image_optim/runner/option_parser_spec.rb", "spec/image_optim/space_spec.rb", "spec/image_optim/worker/pngquant_spec.rb", "spec/image_optim/worker_spec.rb", "spec/image_optim_spec.rb", "spec/images/comparison.png", "spec/images/decompressed.jpeg", "spec/images/icecream.gif", "spec/images/image.jpg", "spec/images/invisiblepixels/generate", "spec/images/invisiblepixels/image.png", "spec/images/lena.jpg", "spec/images/orient/0.jpg", "spec/images/orient/1.jpg", "spec/images/orient/2.jpg", "spec/images/orient/3.jpg", "spec/images/orient/4.jpg", "spec/images/orient/5.jpg", "spec/images/orient/6.jpg", "spec/images/orient/7.jpg", "spec/images/orient/8.jpg", "spec/images/orient/generate", "spec/images/orient/original.jpg", "spec/images/quant/64.png", "spec/images/quant/generate", "spec/images/rails.png", "spec/images/test.svg", "spec/images/transparency1.png", "spec/images/transparency2.png", "spec/images/vergroessert.jpg", "spec/spec_helper.rb", "vendor/jpegrescan"]
  s.homepage = "http://github.com/toy/image_optim"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "image_optim"
  s.rubygems_version = "2.0.14"
  s.summary = "Optimize (lossless compress, optionally lossy) images (jpeg, png, gif, svg) using external utilities (advpng, gifsicle, jhead, jpeg-recompress, jpegoptim, jpegrescan, jpegtran, optipng, pngcrush, pngout, pngquant, svgo)"
  s.test_files = ["spec/image_optim/bin_resolver/comparable_condition_spec.rb", "spec/image_optim/bin_resolver/simple_version_spec.rb", "spec/image_optim/bin_resolver_spec.rb", "spec/image_optim/cmd_spec.rb", "spec/image_optim/config_spec.rb", "spec/image_optim/handler_spec.rb", "spec/image_optim/hash_helpers_spec.rb", "spec/image_optim/image_path_spec.rb", "spec/image_optim/railtie_spec.rb", "spec/image_optim/runner/glob_helpers_spec.rb", "spec/image_optim/runner/option_parser_spec.rb", "spec/image_optim/space_spec.rb", "spec/image_optim/worker/pngquant_spec.rb", "spec/image_optim/worker_spec.rb", "spec/image_optim_spec.rb", "spec/images/comparison.png", "spec/images/decompressed.jpeg", "spec/images/icecream.gif", "spec/images/image.jpg", "spec/images/invisiblepixels/generate", "spec/images/invisiblepixels/image.png", "spec/images/lena.jpg", "spec/images/orient/0.jpg", "spec/images/orient/1.jpg", "spec/images/orient/2.jpg", "spec/images/orient/3.jpg", "spec/images/orient/4.jpg", "spec/images/orient/5.jpg", "spec/images/orient/6.jpg", "spec/images/orient/7.jpg", "spec/images/orient/8.jpg", "spec/images/orient/generate", "spec/images/orient/original.jpg", "spec/images/quant/64.png", "spec/images/quant/generate", "spec/images/rails.png", "spec/images/test.svg", "spec/images/transparency1.png", "spec/images/transparency2.png", "spec/images/vergroessert.jpg", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<fspath>, ["~> 2.1"])
      s.add_runtime_dependency(%q<image_size>, ["~> 1.3"])
      s.add_runtime_dependency(%q<exifr>, [">= 1.2.2", "~> 1.2"])
      s.add_runtime_dependency(%q<progress>, [">= 3.0.1", "~> 3.0"])
      s.add_runtime_dependency(%q<in_threads>, ["~> 1.3"])
      s.add_development_dependency(%q<image_optim_pack>, ["~> 0.2"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<rubocop>, ["!= 0.32.0", "~> 0.31"])
    else
      s.add_dependency(%q<fspath>, ["~> 2.1"])
      s.add_dependency(%q<image_size>, ["~> 1.3"])
      s.add_dependency(%q<exifr>, [">= 1.2.2", "~> 1.2"])
      s.add_dependency(%q<progress>, [">= 3.0.1", "~> 3.0"])
      s.add_dependency(%q<in_threads>, ["~> 1.3"])
      s.add_dependency(%q<image_optim_pack>, ["~> 0.2"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<rubocop>, ["!= 0.32.0", "~> 0.31"])
    end
  else
    s.add_dependency(%q<fspath>, ["~> 2.1"])
    s.add_dependency(%q<image_size>, ["~> 1.3"])
    s.add_dependency(%q<exifr>, [">= 1.2.2", "~> 1.2"])
    s.add_dependency(%q<progress>, [">= 3.0.1", "~> 3.0"])
    s.add_dependency(%q<in_threads>, ["~> 1.3"])
    s.add_dependency(%q<image_optim_pack>, ["~> 0.2"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<rubocop>, ["!= 0.32.0", "~> 0.31"])
  end
end
